#ifndef __LSM_BASE64_H__
#define __LSM_BASE64_H__

#include <glib.h>
#include "LsmTypes.h"


#ifdef __cplusplus
extern          "C" {
#endif				/* // __cplusplus */

	int
	                LsmBase64_encodeFromFile(char *in_file,
					                    char **out_dest,
					                 int *out_destSize);
	int
	                LsmBase64_encodeFromStream(char *in_stream,
					int in_streamLength,
					                    char **out_dest,
					                 int *out_destSize);

	int
	                LsmBase64_decodeToFile(char *in_src,
					                     char *in_file);


	
	int
	                LsmBase64_decodeToStream(char *in_src,
					                     char **out_stream,
							     int *out_streamLength);

#ifdef __cplusplus
}
#endif				/* // __cplusplus */

#endif
