#ifndef __LSM_TREE_SYNC_H__
#define __LSM_TREE_SYNC_H__

#include <libxml/tree.h>
#include "LsmTypes.h"

#ifdef __cplusplus
extern          "C" {
#endif				/* // __cplusplus */

	int
	                LsmTree_Sync_file2Lsm(LsmTree * self,
				                     char *in_file,
						     char *in_prefix); // in_prefix can be NULL

	int
	                LsmTree_Sync_directory2Lsm(LsmTree * self,
				                     char *in_directory,
						     char *in_prefix);

	int
	                LsmTree_Sync_lsm2File(LsmTree * self,
				                     char *in_file,
						     char *in_prefix);
	int
	                LsmTree_Sync_lsm2Directory(LsmTree * self,
				                     char *in_directory,
						     char *in_prefix);


#ifdef __cplusplus
}
#endif				/* // __cplusplus */

#endif
