#ifndef __LSM_TREE_EXPORT_H__
#define __LSM_TREE_EXPORT_H__

#include <libxml/tree.h>
#include "LsmTypes.h"

#ifdef __cplusplus
extern          "C" {
#endif				/* // __cplusplus */

	int
	                LsmTree_Export_toHTML(LsmTree * self,
				                     char **out_htmlStream);

	int
	                LsmTree_Export_toHTMLFile(LsmTree * self,
					                 char *in_HTMLFile);

	int
	                LsmTree_Export_toHTMLNode(LsmTree * self,
				                    xmlNodePtr* out_HTMLNode);

	int
	                LsmTree_Export_toString(LsmTree * self,
					                 char **out_string);

	int
	                LsmTree_Export_toStringOnStdout(LsmTree * self);


#ifdef __cplusplus
}
#endif				/* // __cplusplus */

#endif
