#ifndef __TPL_TYPES_H__
#define __TPL_TYPES_H__

#include <libxml/tree.h>


typedef enum {
	LSM__ERROR__NO_ERROR = 0,
	LSM__ERROR__FILE_NOT_FOUND,
	LSM__ERROR__NULL_POINTER,
	LSM__ERROR__MISC_ERROR,
	LSM__ERROR__OPEN_DIR,
	LSM__ERROR__STAT,
	LSM__ERROR__NOT_DIR,
	LSM__ERROR__INVALID_PATH,
	LSM__ERROR__NOT_REGULAR_FILE,
	LSM__ERROR__BASE64_DECODE,
	LSM__ERROR__NO_MEMORY,
	LSM__ERROR__INVALID_FILENAME
} LsmError;

typedef struct _LsmTree LsmTree;

struct _LsmTree {
	xmlDocPtr       doc;
	int		hasContent;
};

#endif
